Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Why dropping xorg-server-1.12.2??
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Mon Jan 07, 2013 8:50 pm    Post subject: Why dropping xorg-server-1.12.2?? Reply with quote

I was using the subject version, but now it was eliminated from portage? Why??
1.12.4 and above do not work with my netebook!
I hope 1.11.4 does!

Or bye bye gentoo!
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Mon Jan 07, 2013 8:58 pm    Post subject: Re: Why dropping xorg-server-1.12.2?? Reply with quote

bandreabis wrote:
I was using the subject version, but now it was eliminated from portage? Why??
1.12.4 and above do not work with my netebook!
I hope 1.11.4 does!

Or bye bye gentoo!


Do I have to revert also to xorg-drivers-1.11???
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4808
Location: Saint Amant, Acadiana

PostPosted: Mon Jan 07, 2013 10:04 pm    Post subject: Reply with quote

Why 1.12.4 and above does not work? Life goes on, you either keep up with upgrades or suffer some pain sooner or later.
Quote:
Or bye bye gentoo!

What has Gentoo to do with Xorg, X is even not Linux. :? Besides, bye-bye type statements will not make friends here, and nobody is selling Gentoo here.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 2594
Location: UK

PostPosted: Tue Jan 08, 2013 1:33 am    Post subject: Re: Why dropping xorg-server-1.12.2?? Reply with quote

bandreabis wrote:
1.12.4 and above do not work with my netebook!
I hope 1.11.4 does!

If you were hoping to troll someone into helping you, you failed. This is not useful information.

Quote:
Or bye bye gentoo!

Okay. Best of luck on finding a suitably out of date distro to meet your strange requirements.

For future reference, you would do well to read this: http://catb.org/~esr/faqs/smart-questions.html
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Tue Jan 08, 2013 7:16 am    Post subject: Reply with quote

[Ok l'ho presa male (era tardi e mi son trovato una brutta sorpresa), ma non mi pare il caso di essere così offesi! E offensivi!]
Ok I got it bad (it was late and I got an unpleasant surprise), but I do not think the case to be so offended. And aggressive!
However I beg your pardon.

Could some Gentoo lover like myself, tell me how to achieve hardware acceleration with xorg-drivers-1.11.4?

I tried with 1.12.4 when it became stable, but with my old x200 ATI I were not even able to make X start.

EDIT: now I remember better, with KMS I can make my card work, BUT suspend does not resumes anymore. This is why I reverted to KMS-free version.

Many thanks.

Andrea
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Tue Jan 08, 2013 1:54 pm    Post subject: Reply with quote

The only solution for my problem seems to be the use of KMS and the implementation of
Code:
radeon.agpmode=1

or make my overlay of xorg-server-1.12.2.

I'm going to try it this evening.

PS. Are you going to ostracise me forever? :D
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Tue Jan 08, 2013 2:15 pm    Post subject: Reply with quote

bandreabis wrote:
PS. Are you going to ostracise me forever? :D

:lol:
<joking>We'll surely do if we discover that you posted twice consecutively just in order to pass over 2000 posts... :wink: </joking>

This being said, I must admit that I have often been annoyed when version V of a package is dropped almost immediately after V+1 is pushed in portage's tree or when ebuilds get modified without any version/release change.
That is why I systematically backup my local portage's tree prior to syncing.

This enables me to easily (more easily than refetching from cvs) practice one solution you suggest for your problem : Maintain a particular version in your own overlay.
Well... waiting for better days... because of course you know that this solution is necessarily a dead end.

BTW, you told why 1.12.4 does not work for you, xorg-server is now at 1.13. What about 1.13 ?
_________________
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Tue Jan 08, 2013 2:34 pm    Post subject: Reply with quote

First, I don't know if I passed 2000 posts by posting in Italian Forum complaining about the unequal treatment I found in this thread, or with my double post. :lol:

Version 1.13.x has been in portage for some time, and at the time I masked it, so I suppose it was not resolving.
The problem is about my ATI Xpress 200M video card, and if I could resist for some years again without changing my notebook I would be pleased.
Since I can cope with KMS-free drivers, I will be safe.

As I told, I could try enabling AGPmode=1, but my video performances are to verify.

Maybe my "better days" will be when changing computer. :roll:
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Tue Jan 08, 2013 4:11 pm    Post subject: Reply with quote

2000 posts, and you don't know to include the URL of the upstream bug report for your problem? Sad.
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Wed Jan 09, 2013 8:15 am    Post subject: Reply with quote

PaulBredbury wrote:
2000 posts, and you don't know to include the URL of the upstream bug report for your problem? Sad.

Yes, it's a so sad situation.

Tested latest stable KMS ebuilds. Results: kernel panic.
Back to top
View user's profile Send private message
grey_dot
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2012
Posts: 142

PostPosted: Wed Jan 09, 2013 10:15 am    Post subject: Reply with quote

Jaglover wrote:

What has Gentoo to do with Xorg, X is even not Linux. :?


X.org development is Linux-centric at the moment. Newer KMS drivers are Linux-only.
Back to top
View user's profile Send private message
chithanh
Developer
Developer


Joined: 05 Aug 2006
Posts: 1694
Location: Berlin, Germany

PostPosted: Wed Jan 09, 2013 10:41 am    Post subject: Reply with quote

Old versions are occasionally cleaned up to make maintenance easier and to keep the size of the portage tree in check.

If something broke between 1.12.2 and 1.12.4 (and is not fixed in 1.13.1.901) reporting a bug would be good. If you could even find the commit that broke things it would increase the chances of getting the problem fixed.
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Wed Jan 09, 2013 11:00 am    Post subject: Reply with quote

In my case, going back to 12.2.2 do not resolve problems. Problem is deeper. Sorry cannot figure out how to solve atm.

A question: xf86-video-ati-7 needs KMS enabled, and 6.14 don't. OK.
May I use 6.14 KMS-free with latest Xorg stuff or I need to mask it (xorg-server, xorg-drivers, libdrm atc...)?
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9168

PostPosted: Thu Jan 10, 2013 2:05 am    Post subject: Reply with quote

bandreabis wrote:
Tested latest stable KMS ebuilds. Results: kernel panic.
Could you post a link to your bug report about the kernel panic?
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Thu Jan 17, 2013 2:44 pm    Post subject: Reply with quote

Thank you for inviting me to not give up.
After much searching for a way to cope with the problem, I came to the end of my long ramble.
Now hardware acceleration works and are also able to work well suspend / resume.

I enclose the changes that I found wandering through google:

Quote:
Edit the file radeon_combios.c and find the line that says /* DYN CLK 1 */
Just before that line add the following:

/* quirk for rs4xx laptop to make it resume
* - it hangs on resume inside the dynclk 1 table.
*/
if (rdev->family == CHIP_RS480)
return;

After changing this, then simply compile your kernel, package it and install it. With KMS enabled it works like a charm.
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9168

PostPosted: Thu Jan 17, 2013 10:35 pm    Post subject: Reply with quote

Kernel 3.7 has a more targeted version of this quirk. Could you specify what kernel version you used that needed the change you describe and indicate where you found the advice you repeated here?
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Thu Jan 17, 2013 10:53 pm    Post subject: Reply with quote

Hu wrote:
Kernel 3.7 has a more targeted version of this quirk. Could you specify what kernel version you used that needed the change you describe and indicate where you found the advice you repeated here?


I'm on x86 so I emerge only stable kernel, last stable version is 3.5.7.

I've found this advise by googling. Here
Note that that patch is 2.5 years old!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum